// GdStatic.h : header file
//

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CGdStatic : public CStatic
{
// Construction
public:
	CGdStatic();

// Attributes
public:

// Operations
public:
	CString  m_sFontName;
	int      m_nFontSize, m_nFontWeight;
	BOOL     m_bGrayText;
	COLORREF m_crText;

	void SetConstantText(LPCTSTR lpszText)	{m_sConstantText = lpszText;}

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGdStatic)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGdStatic();

protected:
	CFont   m_fontCaption, m_fontName;
	CBitmap m_bitmap;
	CString m_sConstantText;

	void MakeCaptionBitmap();

	// Generated message map functions
protected:
	//{{AFX_MSG(CGdStatic)
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg LRESULT OnSetText(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};
